// 2D shaders
gfx/2d/backtile
{
	nopicmip
	nomipmaps
	{
		noDepthTest
		map gfx/2d/backtile.tga
	}
}

gfx/fonts/facfont-20
{
	nopicmip
	nomipmaps
	{
		map gfx/fonts/facfont-20.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

gfx/fonts/marlett
{
	nopicmip
	nomipmaps
	{
		map gfx/fonts/marlett.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

gfx/fonts/verdana-12
{
	nopicmip
	nomipmaps
	{
		map gfx/fonts/verdana-12.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

gfx/fonts/verdana-14
{
	nopicmip
	nomipmaps
	{
		map gfx/fonts/verdana-14.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		nodepthtest
	}
}

gfx/2d/arrow_right
{
	nopicmip
	nomipmaps
	{
		map gfx/2d/arrow_right.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
	}
}

gfx/2d/arrow_left
{
	nopicmip
	nomipmaps
	{
		map gfx/2d/arrow_left.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
	}
}

gfx/2d/blank
{
	nomipmaps
	{
		map gfx/2d/blank.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen oneMinusVertex
		rgbGen vertex
	}
}

////////////////////////////////////////
//extra fonts for game
////////////////////////////////////////

gfx/fonts/courier-16
{
	nopicmip
	nomipmaps
	{
		map gfx/fonts/courier-16.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

gfx/fonts/courier-18
{
	nopicmip
	nomipmaps
	{
		map gfx/fonts/courier-18.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

gfx/fonts/courier-20
{
	nopicmip
	nomipmaps
	{
		map gfx/fonts/courier-20.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

gfx/fonts/handle-16
{
	nopicmip
	nomipmaps
	{
		map gfx/fonts/handle-16.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

gfx/fonts/handle-18
{
	nopicmip
	nomipmaps
	{
		map gfx/fonts/handle-18.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

gfx/fonts/handle-22
{
	nopicmip
	nomipmaps
	{
		map gfx/fonts/handle-22.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

gfx/fonts/handle-23
{
	nopicmip
	nomipmaps
	{
		map gfx/fonts/handle-23.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

gfx/fonts/consolas-22
{
	nopicmip
	nomipmaps
	{
		map gfx/fonts/consolas-22.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

gfx/fonts/rl-22
{
	nopicmip
	nomipmaps
	{
		map gfx/fonts/rl-22.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

gfx/fonts/csp-18
{
	nopicmip
	nomipmaps
	{
		map gfx/fonts/csp-18.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

gfx/fonts/csp-14
{
	nopicmip
	nomipmaps
	{
		map gfx/fonts/csp-14.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

gfx/fonts/anesb-16
{
	nopicmip
	nomipmaps
	{
		map gfx/fonts/anesb-16.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

gfx/fonts/anesb-14
{
	nopicmip
	nomipmaps
	{
		map gfx/fonts/anesb-14.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

gfx/fonts/anesb-12
{
	nopicmip
	nomipmaps
	{
		map gfx/fonts/anesb-12.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

gfx/fonts/anesb-10
{
	nopicmip
	nomipmaps
	{
		map gfx/fonts/anesb-10.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

gfx/fonts/acme-18
{
	nopicmip
	nomipmaps
	{
		map gfx/fonts/acme-18.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

gfx/fonts/acme-14
{
	nopicmip
	nomipmaps
	{
		map gfx/fonts/acme-14.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

gfx/fonts/acme-10
{
	nopicmip
	nomipmaps
	{
		map gfx/fonts/acme-10.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

gfx/fonts/impact-24
{
	nopicmip
	nomipmaps
	{
		map gfx/fonts/impact-24.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

gfx/fonts/impact-20
{
	nopicmip
	nomipmaps
	{
		map gfx/fonts/impact-20.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

gfx/fonts/impact-10
{
	nopicmip
	nomipmaps
	{
		map gfx/fonts/impact-10.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

gfx/fonts/andada-22
{
	nopicmip
	nomipmaps
	{
		map gfx/fonts/andada-22.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

gfx/fonts/andada-18
{
	nopicmip
	nomipmaps
	{
		map gfx/fonts/andada-18.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

gfx/fonts/andada-10
{
	nopicmip
	nomipmaps
	{
		map gfx/fonts/andada-10.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

gfx/fonts/league-12
{
	nopicmip
	nomipmaps
	{
		map gfx/fonts/league-12.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

gfx/fonts/league-18
{
	nopicmip
	nomipmaps
	{
		map gfx/fonts/league-18.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

gfx/fonts/league-27
{
	nopicmip
	nomipmaps
	{
		map gfx/fonts/league-27.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

gfx/fonts/cool-12
{
	nopicmip
	nomipmaps
	{
		map gfx/fonts/cool-12.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

gfx/fonts/cool-14
{
	nopicmip
	nomipmaps
	{
		map gfx/fonts/cool-14.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

gfx/fonts/cool-18
{
	nopicmip
	nomipmaps
	{
		map gfx/fonts/cool-18.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}

gfx/fonts/cool-22
{
	nopicmip
	nomipmaps
	{
		map gfx/fonts/cool-22.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
}